<?php

class Ct_Producto_model extends CI_Model {

  public function get_all($categoria = false) {
    
    $this->db->select('p.*, c.nombre as categoria');
    $this->db->from('ct_productos p');
    $this->db->join('ct_categorias c', 'p.id_categoria = c.id', 'left');
    $this->db->where('p.mostrar', 1);
    $this->db->order_by('p.id_categoria', 'ASC');
    $this->db->order_by('p.orden', 'ASC');
    if (!empty($categoria)) {
      $this->db->where('p.id_categoria', $categoria);
    }

    $productos = $this->db->get()->result_array();

    $categorias = [];
    foreach($productos as $producto){
      $categorias[$producto['id_categoria']][] = $producto;
    }
    return $categorias;
  }
}